Package wx :: Class EraseEvent

[frames | no frames]

## Type EraseEvent

    object --+
             |
        Object --+
                 |
             Event --+
                     |
                    EraseEvent

An erase event is sent whenever the background of a window needs to be repainted. To intercept this event use the EVT_ERASE_BACKGROUND event binder. On some platforms, such as GTK+, this event is simulated (simply generated just before the paint event) and may cause flicker.

To paint a custom background use the `GetDC` method and use the returned device context if it is not `None`, otherwise create a temporary `wx.ClientDC` and draw on that.

Method Summary
EraseEvent | ``__init__`(self, Id, dc)` Constructor
DC | ``GetDC`(self)` Returns the device context the event handler should draw upon.

Property Summary
| `DC`: See `GetDC`
| `thisown`: The membership flag

Method Details

### __init__(self, Id=0, dc=None)
(Constructor)

Constructor

  Parameters:
    `Id`
    (type=int)

    `dc`
    (type=DC)

  Returns:
    EraseEvent
  Overrides:
    `wx.Event.__init__`

### GetDC(self)

Returns the device context the event handler should draw upon. If `None` is returned then create a temporary `wx.ClientDC` and use that instead.

  Returns:
    DC

Property Details

### DC

See `GetDC`

  Get Method:
    `GetDC`(self)

### thisown

The membership flag

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:10:49 2007 | http://epydoc.sf.net